1. 09 Nov, 2012 1 commit
  2. 08 Nov, 2012 1 commit
    • Martin Pitt's avatar
      Add support for lcov code coverage · f1a5f1b9
      Martin Pitt authored
      Use gnome-common's new code coverage flags. Default to enabling code coverage
      in autogen.sh (but not for dist).
      
      To use this, run "make check-code-coverage" after building.
      f1a5f1b9
  3. 07 Nov, 2012 3 commits
  4. 06 Nov, 2012 3 commits
  5. 05 Nov, 2012 1 commit
  6. 22 Oct, 2012 2 commits
  7. 15 Oct, 2012 1 commit
  8. 24 Sep, 2012 3 commits
  9. 17 Sep, 2012 1 commit
  10. 05 Sep, 2012 1 commit
  11. 03 Sep, 2012 2 commits
    • Martin Pitt's avatar
      post-release bump to 3.3.92 · d8f1398d
      Martin Pitt authored
      d8f1398d
    • Martin Pitt's avatar
      Bump g-i dependency · 41bb687c
      Martin Pitt authored
      Require at least 1.33.9, as we got a couple of bug fixes there which the tests,
      and for some cases the code, depend on. We actually require 1.33.10 for all
      tests to succeed, but that hasn't been released yet.
      41bb687c
  12. 23 Aug, 2012 1 commit
    • Martin Pitt's avatar
      Fix for python 2.6, drop support for < 2.6 · 6123e6f5
      Martin Pitt authored
      Replace sys.version_info.major access to tuple access which also works for
      Python 2.6.
      
      When building for Python 2.6, inject some missing unittest API such as
      @unittest.skipUnless and assertGreaterEqual() into the unittest module in
      runtests.py, so that the tests have a chance to run.
      
      As building with Python 2.5 has been broken for a long time with nobody
      complaining, and 2.5 is ancient, bump minimum Python requirement to 2.6. Drop
      obsolete #ifdef paths which only apply to <= 2.5.
      
      https://bugzilla.gnome.org/show_bug.cgi?id=682422
      6123e6f5
  13. 20 Aug, 2012 2 commits
  14. 06 Aug, 2012 1 commit
  15. 31 Jul, 2012 1 commit
  16. 27 Jul, 2012 1 commit
    • Martin Pitt's avatar
      Make some warnings fatal · 97b5184c
      Martin Pitt authored
      Add -Werror for some warnings which are real errors in the source which we
      really want to avoid. This includes -Wmissing-prototypes, but that currently
      breaks on building g-i's regress.c.
      97b5184c
  17. 16 Jul, 2012 1 commit
  18. 25 Jun, 2012 3 commits
  19. 05 Jun, 2012 1 commit
  20. 25 May, 2012 1 commit
  21. 07 May, 2012 1 commit
  22. 03 May, 2012 1 commit
    • Martin Pitt's avatar
      Fix building with --disable-cairo · fd7f8eef
      Martin Pitt authored
      Build gobject-introspection's regress.c against cairo, not pycairo/py3cairo. We
      always need cairo to build, so unconditionally check for this in configure.ac.
      
      In test_everything.py, gracefully handle the absence of the "cairo" Python
      module, which we do not have when building without cairo support.
      fd7f8eef
  23. 30 Apr, 2012 1 commit
  24. 26 Mar, 2012 1 commit
    • Martin Pitt's avatar
      Bump version to 3.3.1 · 7c0017c3
      Martin Pitt authored
      3.2.x is built from the pygobject-3-2 branch now, and 3.2.0 is released. So
      continue with 3.3.x on master.
      7c0017c3
  25. 19 Mar, 2012 2 commits
  26. 08 Mar, 2012 1 commit
  27. 20 Feb, 2012 1 commit
  28. 10 Feb, 2012 1 commit